##
# Representa um cliente inadimplemente
#
# Uma lista de objetos desse tipo é retornada
# no método get_inadimplementes
# === Attributes
# * <tt>client_id</tt> - ID do cliente
# * <tt>name</tt> - Nome do cliente
# * <tt>dias_atraso</tt> - Numero em dias do atraso do pagamento
# * <tt>segunda_via_cobranca</tt> - Link para a cobranca em atraso
# 
##
class Customer
  attr_accessor :client_id, :name, :dias_atraso, :segunda_via_cobranca

  def initialize(client_id, name, dias_atraso, segunda_via)
    @client_id = client_id
    @name = name
    @dias_atraso = dias_atraso
    @segunda_via_cobranca = segunda_via
  end
end
